Skip to main content
GET
Available in🇮🇳 India🇸🇬 Singapore🇺🇸 United States
Use this endpoint to retrieve the details of all the orders that you created, with the card parameter expanded in the payments object.

Query Parameters

string
Use to expand the card payments made for an order.

Response Parameters

string
The unique identifier of the order.
string
Name of the entity. Here, it is order.
integer
The amount for which the order was created, in currency subunits. For example, for an amount of , enter 29500.
integer
The amount paid against the order.
integer
The amount pending against the order.
string
required
ISO code for the currency in which you want to accept the payment. The default length is 3 characters.
string
Receipt number that corresponds to this order. Can have a maximum length of 40 characters and has to be unique.
string
The status of the order. Possible values:
  • created: When you create an order it is in the created state. It stays in this state till a payment is attempted on it.
  • attempted: An order moves from created to attempted state when a payment is first attempted on it. It remains in the attempted state till one payment associated with that order is captured.
  • paid: After the successful capture of the payment, the order moves to the paid state. No further payment requests are permitted once the order moves to the paid state. The order stays in the paid state even if the payment associated with the order is refunded.
integer
The number of payment attempts, successful and failed, that have been made against this order.
json object
Key-value pair that can be used to store additional information about the entity. Maximum 15 key-value pairs, 256 characters (maximum) each. For example, "note_key": "Beam me up Scotty”.
integer
Indicates the Unix timestamp when this order was created.
object
Details of the payment.
string
Unique identifier of the payment.
string
Indicates the type of entity.
integer
The payment amount in currency subunits. For example, for an amount of enter 100.
string
The currency in which the payment is made.
string
The status of the payment. Possible values:
  • created
  • authorized
  • captured
  • refunded
  • failed
string
The payment method used for making the payment. Possible values:
  • card
  • netbanking
  • wallet
  • upi
  • emi
string
Order id, if provided. Know more about Orders.
string
Description of the payment, if any.
boolean
Indicates whether the payment is done via an international card or a domestic one. Possible values:
  • true: Payment made using international card.
  • false: Payment not made using international card.
string
The refund status of the payment. Possible values:
  • null
  • partial
  • full
integer
The amount refunded in currency subunits. For example, if amount_refunded = 100, it is equal to .
boolean
Indicates if the payment is captured.
string
Customer email address used for the payment.
string
Customer contact number used for the payment.
integer
Fee (including tax) charged by us.
integer
Tax charged for the payment.
string
Error that occurred during payment. For example, BAD_REQUEST_ERROR.
string
Description of the error that occurred during payment. For example, Payment processing failed because of incorrect OTP.
string
The point of failure. For example, customer.
string
The stage where the transaction failure occurred. The stages can vary depending on the payment method used to complete the transaction. For example, payment_authentication.
string
The exact error reason. For example, incorrect_otp.
json object
Contains user-defined fields, stored for reference purposes.
integer
Timestamp, in UNIX format, on which the payment was created.
string
The unique identifier of the card used by the customer to make the payment.
string
The name of the wallet used by the customer to make the payment. For example, payzapp.
array
A dynamic array consisting of a unique reference numbers.
string
A unique bank reference number provided by the banking partner when a refund is processed. This reference number can be used by the customer to track the status of the refund with the bank.
string
A unique reference number generated for RuPay card payments.
string
A unique reference number provided by the banking partner in case of netbanking payments.
string
The 4-character bank code which the customer’s account is associated with. For example, UTIB for HSBC Bank.

object
Details of the UPI payment received. Applicable if method is upi.
string
The payment method used for making the payment. Possible values:
  • bank_account
  • credit_card
  • wallet
string
The customer’s VPA (Virtual Payment Address) or UPI id used to make the payment. For example, gauravkumar@exampleupi.
string
The customer’s VPA (Virtual Payment Address) or UPI id used to make the payment. For example, gauravkumar@exampleupi.
object
Details of the card used to make the payment.
string
The unique identifier of the card used by the customer to make the payment.
string
The name of the entity. Here, it is card.
string
Name of the cardholder.
integer
The last 4 digits of the card number.network
string
The card type. Possible values:
  • credit
  • debit
  • prepaid
  • unknown
string
The card issuer. The 4-character code denotes the issuing bank. This attribute will not be set for the card issued by a foreign bank.
boolean
Determines if card can be used for EMI payments. true if EMI payments are supported on card. false if EMI payments are not supported on card.
string
The sub-type of the customer’s card. Possible values:
  • customer
  • business
    Know how to accept payments made by customers using corporate cards.
string
Unique identifier of the offer associated with this order.
object
The recurring-payment token created when the order was authorised on a subscription / recurring flow. Present on orders that resulted in a token-bearing payment.
string
The authentication type used to create the token. One of 3ds, otp, aadhaar, or physical for emandate / mandate_otp for UPI.
integer
Unix timestamp when the token expires.
string
Human-readable reason if the token-creation flow failed. null on success.
integer
Amount of the first recurring payment, in the smallest currency unit (paise for INR).
string
Frequency of the recurring debit. One of as_presented, daily, weekly, monthly, yearly, etc.
integer
Maximum amount that can be debited per cycle, in the smallest currency unit (paise for INR).
string
Lifecycle state of the recurring token. One of initiated, confirmed, rejected, cancelled, paused, or expired.

Errors

Code: 4xxThe API credentials passed in the API call differ from the ones generated on the Dashboard.Solution: The API keys must be active and entered correctly with no whitespace before or after.